#
# spec file for package reaim
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           reaim
Version:        7.0.1.13
Release:        1.17
Summary:        A tool to benchmark overall system performance
License:        GPL-2.0-only
Group:          Development/Tools/Other
URL:            https://sourceforge.net/projects/re-aim-7
Source0:        http://sourceforge.net/projects/re-aim-7/files/re-aim/%{version}/osdl-aim-%{version}.tar.gz
Source1:        %{name}.changes
Patch0:         bugfixes.patch
Patch1:         fix-aio.patch
Patch2:         fix-defaults.patch
Patch3:         fix-tst_sig.patch
Patch4:         fix-abs-paths.patch
Patch6:         fix-diskdir.patch
Patch8:         fix-pipe_test.patch
Patch9:         c_macro_problem.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libaio-devel
BuildRequires:  libtool

%description
This tool benchmarks overall system speed by mixing measurements of
file system speed and execution speed under VM and CPU pressure.

%prep
%autosetup -n osdl-aim-7 -p1

%build
autoreconf -fiv
%configure
%make_build CFLAGS="%{optflags} -lm -ffloat-store -fcommon -D_GNU_SOURCE -DSHARED_OFILE"

%install
# install wants to be interactive
%make_install ||:

%files
%license COPYING
%doc NEWS README AUTHORS
%{_bindir}/reaim
%{_datadir}/reaim

%changelog
* Thu Jun 11 2020 Martin Pluskal <mpluskal@suse.com>
- Fix building with gcc10
- Modernise spec file
- Update bugfixes.patch
- Refresh other patches
* Fri Mar 18 2016 mpluskal@suse.com
- Build with optflags
- Install some docs (including license)
* Thu Apr  9 2015 mpluskal@suse.com
- Cleanup spec file
- Remove build time/date
- Remove ctcs glue
- Install to default paths
* Tue Oct  7 2014 dsterba@suse.cz
- spec
  - clean spec
  - remove obsolete patches
  - move changelogto .changes
- Removed patches:
  * drop-aio.patch
  * ready-for-sles8.patch
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Feb 15 2007 ehamera@suse.cz
- Lines with two incrementing macros in one term has been splitted.
  (c_macro_problem.patch)
* Mon Jul 17 2006 ehamera@suse.cz
- %%%%{_libdir} has benn substituted by usr/lib because ctcs expect
  all files in /usr/lib/, not in /usr/lib64/
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug  2 2005 gpayer@suse.de
- Installs now to default libdir
* Tue Apr 26 2005 gpayer@suse.de
- Changed address request for sockets in pipe_test.c
* Tue Apr 12 2005 gpayer@suse.de
- Added patch for building reaim for sles7
* Wed Nov 24 2004 gpayer@suse.de
- Fixed low level aio stuff for sles8
- Diskdirs are now created automatically
* Mon Nov 15 2004 gpayer@suse.de
- Added subpackage: ctcs2-glue
- Fixed hard coded absolute paths
* Fri Oct 29 2004 gpayer@suse.de
- Upgraded to version 7.0.1.13
- Fixed missing libaio build dependency
- Fixed various minor bugs
* Fri Sep  3 2004 gpayer@suse.de
- Removed Provide field, which was buggy due to missing documentation
* Wed May 26 2004 gpayer@suse.de
- Initial package
